% Empty with slipcover loaded
:-use_module(library(slipcover)).

:-sc.

% Settings
:- set_sc(verbosity,3).

:- begin_in.
% Input theory here
link(X,Y):0.1 :- red(X), red(Y).
link(X,Y):0.1 :- green(X), green(Y).
link(X,Y):0.1 :- blue(X), blue(Y).
link(X,Y):0.1 :- red(X), blue(Y).
link(X,Y):0.1 :- blue(X), red(Y).
link(X,Y):0.1 :- red(X), green(Y).
link(X,Y):0.1 :- green(X), red(Y).
link(X,Y):0.1 :- green(X), blue(Y).
link(X,Y):0.1 :- blue(X), green(Y).
:- end_in.

:- begin_bg.
% Background knowledge here
red(n1).
green(n2).
green(n3).
blue(n4).
red(n5).
red(n6).
blue(n7).
red(n8).
red(n9).
green(n10).
:- end_bg.

% Fold definition
fold(train,[training_set]).

% Language bias
output(link/2).

input_cw(red/1).
input_cw(green/1).
input_cw(blue/1).

determination(link/2,red/1).
determination(link/2,green/1).
determination(link/2,blue/1).

modeh(*,link(node,node)).
modeb(*,red(-node)).
modeb(*,blue(-node)).
modeb(*,green(-node)).


% Models / Examples
begin(model(training_set)).
link(n2,n3).
link(n3,n2).
link(n2,n10).
link(n10,n2).
link(n3,n10).
link(n10,n3).
link(n8,n7).
link(n7,n8).
link(n5,n4).
link(n4,n5).
link(n1,n4).
link(n4,n1).
neg(link(n1,n1)).
neg(link(n1,n2)).
neg(link(n1,n3)).
neg(link(n1,n5)).
neg(link(n1,n6)).
neg(link(n1,n7)).
neg(link(n1,n8)).
neg(link(n1,n9)).
neg(link(n1,n10)).
neg(link(n2,n1)).
neg(link(n2,n2)).
neg(link(n2,n4)).
neg(link(n2,n5)).
neg(link(n2,n6)).
neg(link(n2,n7)).
neg(link(n2,n8)).
neg(link(n2,n9)).
neg(link(n3,n1)).
neg(link(n3,n3)).
neg(link(n3,n4)).
neg(link(n3,n5)).
neg(link(n3,n6)).
neg(link(n3,n7)).
neg(link(n3,n8)).
neg(link(n3,n9)).
neg(link(n4,n2)).
neg(link(n4,n3)).
neg(link(n4,n4)).
neg(link(n4,n6)).
neg(link(n4,n7)).
neg(link(n4,n8)).
neg(link(n4,n9)).
neg(link(n4,n10)).
neg(link(n5,n1)).
neg(link(n5,n2)).
neg(link(n5,n3)).
neg(link(n5,n5)).
neg(link(n5,n6)).
neg(link(n5,n7)).
neg(link(n5,n8)).
neg(link(n5,n9)).
neg(link(n5,n10)).
neg(link(n6,n1)).
neg(link(n6,n2)).
neg(link(n6,n3)).
neg(link(n6,n4)).
neg(link(n6,n5)).
neg(link(n6,n6)).
neg(link(n6,n7)).
neg(link(n6,n8)).
neg(link(n6,n9)).
neg(link(n6,n10)).
neg(link(n7,n1)).
neg(link(n7,n2)).
neg(link(n7,n3)).
neg(link(n7,n4)).
neg(link(n7,n5)).
neg(link(n7,n6)).
neg(link(n7,n7)).
neg(link(n7,n9)).
neg(link(n7,n10)).
neg(link(n8,n1)).
neg(link(n8,n2)).
neg(link(n8,n3)).
neg(link(n8,n4)).
neg(link(n8,n5)).
neg(link(n8,n6)).
neg(link(n8,n8)).
neg(link(n8,n9)).
neg(link(n8,n10)).
neg(link(n9,n1)).
neg(link(n9,n2)).
neg(link(n9,n3)).
neg(link(n9,n4)).
neg(link(n9,n5)).
neg(link(n9,n6)).
neg(link(n9,n7)).
neg(link(n9,n8)).
neg(link(n9,n9)).
neg(link(n9,n10)).
neg(link(n10,n1)).
neg(link(n10,n4)).
neg(link(n10,n5)).
neg(link(n10,n6)).
neg(link(n10,n7)).
neg(link(n10,n8)).
neg(link(n10,n9)).
neg(link(n10,n10)).
end(model(training_set)).

/** <examples> Your example queries go here, e.g.

?- induce_par([train],P),test(P,[test],LL,AUCROC,ROC,AUCPR,PR).

?- induce([train],P),test(P,[test],LL,AUCROC,ROC,AUCPR,PR).

*/
