% Empty with slipcover loaded
:-use_module(library(slipcover)).

:-sc.

% Settings
:- set_sc(max_iter,5).
:- set_sc(verbosity,3).

:- begin_in.
% Input theory here
topic(P,T):0.1 :- hyperlink(Q,P), topic(Q,T).

% NOTE: with the last cplint version available on github
% it is possible to use a single rule, that automatically
% instantiates all the ground rules, as in ProbLog:
% topic(P,T):t(_,W,T): :- hasword(P,W).

topic(P,food):0.1 :- hasword(P,coffee).
topic(P,politics):0.1 :- hasword(P,coffee).
topic(P,sport):0.1 :- hasword(P,coffee).
topic(P,food):0.1 :- hasword(P,colombia).
topic(P,politics):0.1 :- hasword(P,colombia).
topic(P,sport):0.1 :- hasword(P,colombia).
topic(P,food):0.1 :- hasword(P,defeat).
topic(P,politics):0.1 :- hasword(P,defeat).
topic(P,sport):0.1 :- hasword(P,defeat).
topic(P,food):0.1 :- hasword(P,elections).
topic(P,politics):0.1 :- hasword(P,elections).
topic(P,sport):0.1 :- hasword(P,elections).
topic(P,food):0.1 :- hasword(P,england).
topic(P,politics):0.1 :- hasword(P,england).
topic(P,sport):0.1 :- hasword(P,england).
topic(P,food):0.1 :- hasword(P,game).
topic(P,politics):0.1 :- hasword(P,game).
topic(P,sport):0.1 :- hasword(P,game).
topic(P,food):0.1 :- hasword(P,goal).
topic(P,politics):0.1 :- hasword(P,goal).
topic(P,sport):0.1 :- hasword(P,goal).
topic(P,food):0.1 :- hasword(P,guardian).
topic(P,politics):0.1 :- hasword(P,guardian).
topic(P,sport):0.1 :- hasword(P,guardian).
topic(P,food):0.1 :- hasword(P,pasta).
topic(P,politics):0.1 :- hasword(P,pasta).
topic(P,sport):0.1 :- hasword(P,pasta).
topic(P,food):0.1 :- hasword(P,president).
topic(P,politics):0.1 :- hasword(P,president).
topic(P,sport):0.1 :- hasword(P,president).
topic(P,food):0.1 :- hasword(P,restaurant).
topic(P,politics):0.1 :- hasword(P,restaurant).
topic(P,sport):0.1 :- hasword(P,restaurant).
topic(P,food):0.1 :- hasword(P,soccer).
topic(P,politics):0.1 :- hasword(P,soccer).
topic(P,sport):0.1 :- hasword(P,soccer).
:- end_in.

:- begin_bg.
% Background knowledge here
hyperlink(p1,p2).
hyperlink(p1,p3).
hyperlink(p1,p7).
hyperlink(p2,p7).
hyperlink(p3,p5).
hyperlink(p4,p6).
hyperlink(p5,p1).
hyperlink(p5,p7).
hasword(p1,soccer).
hasword(p1,goal).
hasword(p2,england).
hasword(p2,defeat).
hasword(p2,colombia).
hasword(p2,soccer).
hasword(p2,goal).
hasword(p3,guardian).
hasword(p3,elections).
hasword(p4,coffee).
hasword(p4,colombia).
hasword(p5,elections).
hasword(p5,president).
hasword(p5,england).
hasword(p5,game).
hasword(p6,restaurant).
hasword(p6,pasta).
hasword(p7,game).
hasword(p7,england).
:- end_bg.

% Fold definition
fold(train,[train1]).
fold(test,[test1]).

% Language bias
output(topic/2).

input_cw(hasword/2).
input_cw(hyperlink/2).

determination(topic/2,hyperlink/2).
determination(topic/2,hasword/2).

modeh(*,hastopic(page,topic)).
modeb(*,hyperlink(-page,page)).
modeb(*,hasword(-page,word)).


% Models / Examples
begin(model(train1)).
topic(p1,sport).
neg(topic(p1,food)).
neg(topic(p1,politics)).
topic(p2,sport).
neg(topic(p2,food)).
neg(topic(p2,politics)).
topic(p3,politics).
neg(topic(p3,food)).
neg(topic(p3,sport)).
topic(p4,food).
neg(topic(p4,sport)).
neg(topic(p4,politics)).
topic(p5,politics).
neg(topic(p5,food)).
neg(topic(p5,sport)).
topic(p6,food).
neg(topic(p6,sport)).
neg(topic(p6,politics)).
topic(p7,sport).
neg(topic(p7,food)).
neg(topic(p7,politics)).
end(model(train1)).

begin(model(test1)).
end(model(test1)).

/** <examples> Your example queries go here, e.g.

?- induce_par([train],P),test(P,[test],LL,AUCROC,ROC,AUCPR,PR).

?- induce([train],P),test(P,[test],LL,AUCROC,ROC,AUCPR,PR).

*/
