% Empty with slipcover loaded
:-use_module(library(slipcover)).

:-sc.

% Settings
:- set_sc(verbosity,3).
:- set_sc(initial_clauses_per_megaex,3).

:- begin_in.
:- end_in.

:- begin_bg.
inquery(apartment).
inquery(rent).
inquery(boston).
:- end_bg.

% Fold definition
fold(train,[train1]).

% Language bias
output(relevant/1).

input_cw(hasword/2).
input_cw(hyperlink/2).
input_cw(inquery/1).

determination(relevant/1,hyperlink/2).
determination(relevant/1,hasword/2).
determination(relevant/1,inquery/1).

modeh(*,relevant(+page)).
modeb(*,hyperlink(-page,+page)).
modeb(*,hyperlink(+page,-page)).
modeb(*,hasword(+page,-#word)).
modeb(*,inquery(-#word)).


% Models / Examples
begin(model(train1)).
hasword(p1,house).
hasword(p1,rentals).
hasword(p1,massachussets).
hasword(p1,boston).
hasword(p2,apartment).
hasword(p2,holidays).
hasword(p3,boston).
hasword(p3,rentals).
hasword(p4,rentals).
hasword(p4,usa).
hasword(p5,boston).
hasword(p5,celtics).
hasword(p6,apartment).
hasword(p6,sale).
hyperlink(p1,p2).
hyperlink(p1,p3).
hyperlink(p4,p3).
hyperlink(p4,p1).
hyperlink(p2,p6).
relevant(p1).
neg(relevant(p2)).
relevant(p3).
relevant(p4).
neg(relevant(p5)).
neg(relevant(p6)).
end(model(train1)).


/** <examples> Your example queries go here, e.g.

?- induce_par([train],P),test(P,[test],LL,AUCROC,ROC,AUCPR,PR).

?- induce([train],P),test(P,[test],LL,AUCROC,ROC,AUCPR,PR).

*/

